DateTimeZone::listIdentifiers
DateInterval::__construct
Date/Time
PHP Manual

# The DateInterval class

## Introduction

Representation of date interval. A date interval stores either a fixed amount of time (in years, months, days, hours etc) or a relative time string in the format that DateTime's constructor supports.

## Class synopsis

DateInterval
DateInterval {
/* Methods */
public __construct ( string `$interval_spec` )
public static DateInterval createFromDateString ( string `$time` )
public string format ( string `$format` )
}

## Table of Contents

- DateInterval::__construct — Creates new DateInterval object
- DateInterval::createFromDateString — Sets up a DateInterval from the relative parts of the string
- DateInterval::format — Formats the interval

DateTimeZone::listIdentifiers
DateInterval::__construct
Date/Time
PHP Manual